---

yakafet_vars:
  yakafet_project_name: yakafet

  yakafet_domain: yakafet.girlscancode.fr

  yakafet_backend_secret_key: "{{ lookup('community.hashi_vault.hashi_vault', 'apps/data/yakafet/secret-key')['key'] }}"

  yakafet_backend_db_name: yakafet
  yakafet_backend_db_user: yakafet
  yakafet_backend_db_password: "{{ lookup('community.hashi_vault.hashi_vault', 'postgresql/data/users/yakafet')['password'] }}"

  yakafet_backend_s3_bucket: yakafet
  yakafet_backend_s3_custom_domain: yakafet.s3.prologin.org
  yakafet_backend_s3_access_key: "{{ lookup('community.hashi_vault.hashi_vault', 's3/data/users/yakafet')['access_key'] }}"
  yakafet_backend_s3_secret_key: "{{ lookup('community.hashi_vault.hashi_vault', 's3/data/users/yakafet')['secret_key'] }}"

  yakafet_backend_redis_port: 6384

  yakafet_backend_email_from: yakafet@prologin.org
  yakafet_backend_email_user: "{{ lookup('community.hashi_vault.hashi_vault', 'infra/data/aws/ses/senders/yakafet')['username'] }}"
  yakafet_backend_email_password: "{{ lookup('community.hashi_vault.hashi_vault', 'infra/data/aws/ses/senders/yakafet')['password'] }}"

  yakafet_backend_authentik_endpoint: https://auth.prologin.org/api/v3
  yakafet_backend_authentik_token: "{{ lookup('community.hashi_vault.hashi_vault', 'authentik/data/apps/yakafet/user')['token'] }}"

  yakafet_oidc_url: https://auth.girlscancode.fr/application/o/yakafet
  yakafet_oidc_client_id: "{{ lookup('community.hashi_vault.hashi_vault', 'authentik/data/apps/yakafet/oidc')['client_id'] }}"
  yakafet_oidc_client_secret: "{{ lookup('community.hashi_vault.hashi_vault', 'authentik/data/apps/yakafet/oidc')['secret_id'] }}"
